VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "gtpLicensed"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

Public Sub A()
   ' Prevent key functionality
   If Not VerifyLicense() Then
      MsgBox "License failure won't allow this operation"
      Exit Sub
   End If
   MsgBox "Subroutine A was invoked"
End Sub

Private Sub Class_Initialize()
   MsgBox "gtpLicensed object created"
End Sub
